Attention is currently required from: Felix Held, Felix Singer, Martin L Roth, ron minnich.
Eric Lai has posted comments on this change. ( https://review.coreboot.org/c/coreboot/+/81856?usp=email )
Change subject: src/mb: Rename new Makefile.inc files to Makefile.mak
......................................................................
Patch Set 1: Code-Review+2
--
To view, visit https://review.coreboot.org/c/coreboot/+/81856?usp=email
To unsubscribe, or for help writing mail filters, visit https://review.coreboot.org/settings
Gerrit-Project: coreboot
Gerrit-Branch: main
Gerrit-Change-Id: I1986e4f921e0e56fe5255433d4b9216dc7c4dc59
Gerrit-Change-Number: 81856
Gerrit-PatchSet: 1
Gerrit-Owner: Martin L Roth <gaumless(a)gmail.com>
Gerrit-Reviewer: Eric Lai <ericllai(a)google.com>
Gerrit-Reviewer: Felix Held <felix-coreboot(a)felixheld.de>
Gerrit-Reviewer: Felix Singer <service+coreboot-gerrit(a)felixsinger.de>
Gerrit-Reviewer: ron minnich <rminnich(a)gmail.com>
Gerrit-Attention: Felix Singer <service+coreboot-gerrit(a)felixsinger.de>
Gerrit-Attention: Martin L Roth <gaumless(a)gmail.com>
Gerrit-Attention: ron minnich <rminnich(a)gmail.com>
Gerrit-Attention: Felix Held <felix-coreboot(a)felixheld.de>
Gerrit-Comment-Date: Fri, 12 Apr 2024 03:01:39 +0000
Gerrit-HasComments: No
Gerrit-Has-Labels: Yes
Gerrit-MessageType: comment
Martin L Roth has uploaded this change for review. ( https://review.coreboot.org/c/coreboot/+/81857?usp=email )
Change subject: util/lint: Add lint rule to watch for Makefile.inc
......................................................................
util/lint: Add lint rule to watch for Makefile.inc
This should keep new makefiles from being named Makefile.inc.
Change-Id: I4a47998e1c997b82b8a15319eae96cdc0de64e77
Signed-off-by: Martin Roth <gaumless(a)gmail.com>
---
A util/lint/lint-stable-030-makefile-inc
1 file changed, 24 insertions(+), 0 deletions(-)
git pull ssh://review.coreboot.org:29418/coreboot refs/changes/57/81857/1
diff --git a/util/lint/lint-stable-030-makefile-inc b/util/lint/lint-stable-030-makefile-inc
new file mode 100755
index 0000000..100178a
--- /dev/null
+++ b/util/lint/lint-stable-030-makefile-inc
@@ -0,0 +1,24 @@
+#!/usr/bin/env sh
+# SPDX-License-Identifier: GPL-2.0-or-later
+#
+# DESCR: Verify that Makefiles are not named Makefile.inc
+#
+
+LINTDIR="$(
+ cd -- "$(dirname "$0")" > /dev/null 2>&1 || return
+ pwd -P
+)"
+
+# shellcheck source=helper_functions.sh
+. "${LINTDIR}/helper_functions.sh"
+
+# Exit if the code isn't in a git repo
+if [ "${IN_GIT_TREE}" -eq 0 ]; then
+ exit 0
+fi
+
+MAKELIST="$(${FIND_FILES} | grep Makefile.inc)"
+if [ -n "${MAKELIST}" ]; then
+ echo "Error: Makefiles should be Makefile.mak not Makefile.inc"
+ echo "${MAKELIST}"
+fi
--
To view, visit https://review.coreboot.org/c/coreboot/+/81857?usp=email
To unsubscribe, or for help writing mail filters, visit https://review.coreboot.org/settings
Gerrit-Project: coreboot
Gerrit-Branch: main
Gerrit-Change-Id: I4a47998e1c997b82b8a15319eae96cdc0de64e77
Gerrit-Change-Number: 81857
Gerrit-PatchSet: 1
Gerrit-Owner: Martin L Roth <gaumless(a)gmail.com>
Gerrit-MessageType: newchange
Martin L Roth has uploaded this change for review. ( https://review.coreboot.org/c/coreboot/+/81856?usp=email )
Change subject: src/mb: Rename new Makefile.inc files to Makefile.mak
......................................................................
src/mb: Rename new Makefile.inc files to Makefile.mak
These files were added after the switch.
Change-Id: I1986e4f921e0e56fe5255433d4b9216dc7c4dc59
Signed-off-by: Martin Roth <gaumless(a)gmail.com>
---
R src/mainboard/sifive/hifive-unmatched/Makefile.mak
R src/soc/sifive/fu740/Makefile.mak
2 files changed, 0 insertions(+), 0 deletions(-)
git pull ssh://review.coreboot.org:29418/coreboot refs/changes/56/81856/1
diff --git a/src/mainboard/sifive/hifive-unmatched/Makefile.inc b/src/mainboard/sifive/hifive-unmatched/Makefile.mak
similarity index 100%
rename from src/mainboard/sifive/hifive-unmatched/Makefile.inc
rename to src/mainboard/sifive/hifive-unmatched/Makefile.mak
diff --git a/src/soc/sifive/fu740/Makefile.inc b/src/soc/sifive/fu740/Makefile.mak
similarity index 100%
rename from src/soc/sifive/fu740/Makefile.inc
rename to src/soc/sifive/fu740/Makefile.mak
--
To view, visit https://review.coreboot.org/c/coreboot/+/81856?usp=email
To unsubscribe, or for help writing mail filters, visit https://review.coreboot.org/settings
Gerrit-Project: coreboot
Gerrit-Branch: main
Gerrit-Change-Id: I1986e4f921e0e56fe5255433d4b9216dc7c4dc59
Gerrit-Change-Number: 81856
Gerrit-PatchSet: 1
Gerrit-Owner: Martin L Roth <gaumless(a)gmail.com>
Gerrit-MessageType: newchange
Attention is currently required from: Herbert Wu, Hung-Te Lin, Shawn Ku, Yidi Lin, Yu-Ping Wu.
Geoffrey Chien has posted comments on this change. ( https://review.coreboot.org/c/coreboot/+/81772?usp=email )
Change subject: mb/google/corsola: Add new board variant Skitty
......................................................................
Patch Set 8: Code-Review+1
--
To view, visit https://review.coreboot.org/c/coreboot/+/81772?usp=email
To unsubscribe, or for help writing mail filters, visit https://review.coreboot.org/settings
Gerrit-Project: coreboot
Gerrit-Branch: main
Gerrit-Change-Id: I2f12bccfda591a5baf8d23d217b6f1f81b059d15
Gerrit-Change-Number: 81772
Gerrit-PatchSet: 8
Gerrit-Owner: Herbert Wu <herbert1_wu(a)pegatron.corp-partner.google.com>
Gerrit-Reviewer: Geoffrey Chien <geoffrey_chien(a)pegatron.corp-partner.google.com>
Gerrit-Reviewer: Herbert Wu <herbert1_wu(a)pegatron.corp-partner.google.com>
Gerrit-Reviewer: Hung-Te Lin <hungte(a)chromium.org>
Gerrit-Reviewer: Shawn Ku <shawnku(a)chromium.org>
Gerrit-Reviewer: Shawn Ku <shawnku(a)google.com>
Gerrit-Reviewer: Yidi Lin <yidilin(a)google.com>
Gerrit-Reviewer: Yu-Ping Wu <yupingso(a)google.com>
Gerrit-Reviewer: build bot (Jenkins) <no-reply(a)coreboot.org>
Gerrit-Attention: Hung-Te Lin <hungte(a)chromium.org>
Gerrit-Attention: Herbert Wu <herbert1_wu(a)pegatron.corp-partner.google.com>
Gerrit-Attention: Shawn Ku <shawnku(a)chromium.org>
Gerrit-Attention: Yu-Ping Wu <yupingso(a)google.com>
Gerrit-Attention: Yidi Lin <yidilin(a)google.com>
Gerrit-Comment-Date: Fri, 12 Apr 2024 02:55:00 +0000
Gerrit-HasComments: No
Gerrit-Has-Labels: Yes
Gerrit-MessageType: comment
Attention is currently required from: Elyes Haouas.
Eric Lai has posted comments on this change. ( https://review.coreboot.org/c/coreboot/+/81828?usp=email )
Change subject: include/device/device.h: Drop duplicated <console/console.h>
......................................................................
Patch Set 1: Code-Review+2
--
To view, visit https://review.coreboot.org/c/coreboot/+/81828?usp=email
To unsubscribe, or for help writing mail filters, visit https://review.coreboot.org/settings
Gerrit-Project: coreboot
Gerrit-Branch: main
Gerrit-Change-Id: Ib81c81843a5252e2ead9ce175cea2fa42f0e8152
Gerrit-Change-Number: 81828
Gerrit-PatchSet: 1
Gerrit-Owner: Elyes Haouas <ehaouas(a)noos.fr>
Gerrit-Reviewer: Eric Lai <ericllai(a)google.com>
Gerrit-Reviewer: build bot (Jenkins) <no-reply(a)coreboot.org>
Gerrit-Attention: Elyes Haouas <ehaouas(a)noos.fr>
Gerrit-Comment-Date: Fri, 12 Apr 2024 01:59:31 +0000
Gerrit-HasComments: No
Gerrit-Has-Labels: Yes
Gerrit-MessageType: comment
Attention is currently required from: Arthur Heymans, Christian Walter, Elyes Haouas, Jincheng Li, Johnny Lin, Jonathan Zhang, Julius Werner, Lean Sheng Tan, Patrick Rudolph, Philipp Hug, Tim Chu, ron minnich.
Eric Lai has posted comments on this change. ( https://review.coreboot.org/c/coreboot/+/81829?usp=email )
Change subject: tree: Drop unused <cbmem.h>
......................................................................
Patch Set 2: Code-Review+2
--
To view, visit https://review.coreboot.org/c/coreboot/+/81829?usp=email
To unsubscribe, or for help writing mail filters, visit https://review.coreboot.org/settings
Gerrit-Project: coreboot
Gerrit-Branch: main
Gerrit-Change-Id: If8be8dc26f2729f55dc6716e6d01e2b801d79e44
Gerrit-Change-Number: 81829
Gerrit-PatchSet: 2
Gerrit-Owner: Elyes Haouas <ehaouas(a)noos.fr>
Gerrit-Reviewer: Arthur Heymans <arthur(a)aheymans.xyz>
Gerrit-Reviewer: Christian Walter <christian.walter(a)9elements.com>
Gerrit-Reviewer: Eric Lai <ericllai(a)google.com>
Gerrit-Reviewer: Jincheng Li <jincheng.li(a)intel.com>
Gerrit-Reviewer: Johnny Lin <Johnny_Lin(a)wiwynn.com>
Gerrit-Reviewer: Jonathan Zhang <jon.zhixiong.zhang(a)gmail.com>
Gerrit-Reviewer: Julius Werner <jwerner(a)chromium.org>
Gerrit-Reviewer: Lean Sheng Tan <sheng.tan(a)9elements.com>
Gerrit-Reviewer: Patrick Rudolph <patrick.rudolph(a)9elements.com>
Gerrit-Reviewer: Philipp Hug <philipp(a)hug.cx>
Gerrit-Reviewer: Shuo Liu <shuo.liu(a)intel.com>
Gerrit-Reviewer: Tim Chu <Tim.Chu(a)quantatw.com>
Gerrit-Reviewer: build bot (Jenkins) <no-reply(a)coreboot.org>
Gerrit-Reviewer: ron minnich <rminnich(a)gmail.com>
Gerrit-Attention: Philipp Hug <philipp(a)hug.cx>
Gerrit-Attention: Patrick Rudolph <patrick.rudolph(a)9elements.com>
Gerrit-Attention: Jonathan Zhang <jon.zhixiong.zhang(a)gmail.com>
Gerrit-Attention: Johnny Lin <Johnny_Lin(a)wiwynn.com>
Gerrit-Attention: Christian Walter <christian.walter(a)9elements.com>
Gerrit-Attention: Julius Werner <jwerner(a)chromium.org>
Gerrit-Attention: Arthur Heymans <arthur(a)aheymans.xyz>
Gerrit-Attention: Jincheng Li <jincheng.li(a)intel.com>
Gerrit-Attention: Lean Sheng Tan <sheng.tan(a)9elements.com>
Gerrit-Attention: ron minnich <rminnich(a)gmail.com>
Gerrit-Attention: Elyes Haouas <ehaouas(a)noos.fr>
Gerrit-Attention: Tim Chu <Tim.Chu(a)quantatw.com>
Gerrit-Comment-Date: Fri, 12 Apr 2024 01:59:12 +0000
Gerrit-HasComments: No
Gerrit-Has-Labels: Yes
Gerrit-MessageType: comment
Attention is currently required from: Arthur Heymans, Christian Walter, Elyes Haouas, Jakub Czapiga, Johnny Lin, Jérémy Compostella, Tim Chu.
Eric Lai has posted comments on this change. ( https://review.coreboot.org/c/coreboot/+/81853?usp=email )
Change subject: tree: Drop duplicated <stdarg.h> and <stdio.h>
......................................................................
Patch Set 2: Code-Review+2
--
To view, visit https://review.coreboot.org/c/coreboot/+/81853?usp=email
To unsubscribe, or for help writing mail filters, visit https://review.coreboot.org/settings
Gerrit-Project: coreboot
Gerrit-Branch: main
Gerrit-Change-Id: I021ba535ba5ec683021c4dfc41ac18d9cebbcfd2
Gerrit-Change-Number: 81853
Gerrit-PatchSet: 2
Gerrit-Owner: Elyes Haouas <ehaouas(a)noos.fr>
Gerrit-Reviewer: Arthur Heymans <arthur(a)aheymans.xyz>
Gerrit-Reviewer: Christian Walter <christian.walter(a)9elements.com>
Gerrit-Reviewer: Eric Lai <ericllai(a)google.com>
Gerrit-Reviewer: Jakub Czapiga <czapiga(a)google.com>
Gerrit-Reviewer: Johnny Lin <Johnny_Lin(a)wiwynn.com>
Gerrit-Reviewer: Jérémy Compostella <jeremy.compostella(a)intel.com>
Gerrit-Reviewer: Tim Chu <Tim.Chu(a)quantatw.com>
Gerrit-Reviewer: build bot (Jenkins) <no-reply(a)coreboot.org>
Gerrit-Attention: Jakub Czapiga <czapiga(a)google.com>
Gerrit-Attention: Jérémy Compostella <jeremy.compostella(a)intel.com>
Gerrit-Attention: Johnny Lin <Johnny_Lin(a)wiwynn.com>
Gerrit-Attention: Christian Walter <christian.walter(a)9elements.com>
Gerrit-Attention: Arthur Heymans <arthur(a)aheymans.xyz>
Gerrit-Attention: Elyes Haouas <ehaouas(a)noos.fr>
Gerrit-Attention: Tim Chu <Tim.Chu(a)quantatw.com>
Gerrit-Comment-Date: Fri, 12 Apr 2024 01:58:59 +0000
Gerrit-HasComments: No
Gerrit-Has-Labels: Yes
Gerrit-MessageType: comment